<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Ciao Code Documentation: if_hooks.f90 File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Ciao Code Documentation
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_68267d1309a1af8e8297ef4c3efbcdba.html">src</a></li><li class="navelem"><a class="el" href="dir_60f7e35e1ba30f1cf963b871c636d580.html">user_files</a></li><li class="navelem"><a class="el" href="dir_ee57ecbee1d4836b415d3ac1dfd9e8e6.html">nga_if_ib</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#func-members">Functions/Subroutines</a>  </div>
  <div class="headertitle">
<div class="title">user_files/nga_if_ib/if_hooks.f90 File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions/Subroutines</h2></td></tr>
<tr class="memitem:acb86792a9a23b981d4a7d29a4a9a9b5f"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="user__files_2nga__if__ib_2if__hooks_8f90.html#acb86792a9a23b981d4a7d29a4a9a9b5f">register_hook</a> (vdf)</td></tr>
<tr class="separator:acb86792a9a23b981d4a7d29a4a9a9b5f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7a8a483be87e88a7f2552b124d938f69"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="user__files_2nga__if__ib_2if__hooks_8f90.html#a7a8a483be87e88a7f2552b124d938f69">initial_hook</a> (vdf)</td></tr>
<tr class="separator:a7a8a483be87e88a7f2552b124d938f69"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abe2ee30542abdbad73e7b55dcc5ec872"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="user__files_2nga__if__ib_2if__hooks_8f90.html#abe2ee30542abdbad73e7b55dcc5ec872">momentum_bc_hook</a> (boundary, vdf, CHECK_BC)</td></tr>
<tr class="separator:abe2ee30542abdbad73e7b55dcc5ec872"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2b4b7805dd08085504e59eb8b8cba36d"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="user__files_2nga__if__ib_2if__hooks_8f90.html#a2b4b7805dd08085504e59eb8b8cba36d">momentum_source_hook</a> (vdf)</td></tr>
<tr class="separator:a2b4b7805dd08085504e59eb8b8cba36d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:add61c03e506b73ebd84e181e2bb16c91"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="user__files_2nga__if__ib_2if__hooks_8f90.html#add61c03e506b73ebd84e181e2bb16c91">density_bc_hook</a> (boundary, vdf, CHECK_BC)</td></tr>
<tr class="separator:add61c03e506b73ebd84e181e2bb16c91"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af47b9fec61ec0adf2d44aaa1d495967f"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="user__files_2nga__if__ib_2if__hooks_8f90.html#af47b9fec61ec0adf2d44aaa1d495967f">scalar_bc_hook</a> (boundary, scalar, vdf, CHECK_BC)</td></tr>
<tr class="separator:af47b9fec61ec0adf2d44aaa1d495967f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a85a1e7805791345e8db001707cd7b5f3"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="user__files_2nga__if__ib_2if__hooks_8f90.html#a85a1e7805791345e8db001707cd7b5f3">scalar_source_hook</a> (scalar, vdf)</td></tr>
<tr class="separator:a85a1e7805791345e8db001707cd7b5f3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab27854bf1a7e933e18c590b7cce08f85"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="user__files_2nga__if__ib_2if__hooks_8f90.html#ab27854bf1a7e933e18c590b7cce08f85">scalar_source_mid_hook</a> (scalar, vdf)</td></tr>
<tr class="separator:ab27854bf1a7e933e18c590b7cce08f85"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0439a40b165fdf89ff2bbc3e718b4cee"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="user__files_2nga__if__ib_2if__hooks_8f90.html#a0439a40b165fdf89ff2bbc3e718b4cee">prestep_begin_hook</a> (vdf)</td></tr>
<tr class="separator:a0439a40b165fdf89ff2bbc3e718b4cee"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a51df2e2f8a61f8692cb24fbf9a59719f"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="user__files_2nga__if__ib_2if__hooks_8f90.html#a51df2e2f8a61f8692cb24fbf9a59719f">temporal_data_hook</a> (vdf)</td></tr>
<tr class="separator:a51df2e2f8a61f8692cb24fbf9a59719f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af6082e63ce97ffd3b40827841f6d8db6"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="user__files_2nga__if__ib_2if__hooks_8f90.html#af6082e63ce97ffd3b40827841f6d8db6">temporal_hook</a> (vdf)</td></tr>
<tr class="separator:af6082e63ce97ffd3b40827841f6d8db6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a86b05c79832a46d17b4362e7c24ee38a"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="user__files_2nga__if__ib_2if__hooks_8f90.html#a86b05c79832a46d17b4362e7c24ee38a">temporal_last_hook</a> (vdf)</td></tr>
<tr class="separator:a86b05c79832a46d17b4362e7c24ee38a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a98ed45d4750d825f285d80247744e8f9"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="user__files_2nga__if__ib_2if__hooks_8f90.html#a98ed45d4750d825f285d80247744e8f9">final_hook</a> (vdf)</td></tr>
<tr class="separator:a98ed45d4750d825f285d80247744e8f9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a36db806438ed47406875852e61b69647"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="user__files_2nga__if__ib_2if__hooks_8f90.html#a36db806438ed47406875852e61b69647">property_hook</a> (property, vdf)</td></tr>
<tr class="separator:a36db806438ed47406875852e61b69647"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6e9275a846f207444659b21fd4efdb69"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="user__files_2nga__if__ib_2if__hooks_8f90.html#a6e9275a846f207444659b21fd4efdb69">ib_momentum_bc_hook</a> (bc_u, bc_type, x, boundary, vdf, time)</td></tr>
<tr class="separator:a6e9275a846f207444659b21fd4efdb69"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2a5f5fbe88f7d8c9f17850df6225d817"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="user__files_2nga__if__ib_2if__hooks_8f90.html#a2a5f5fbe88f7d8c9f17850df6225d817">ib_scalar_bc_hook</a> (bc_phi, bc_type, scalar_name, x, boundary, vdf, nv, time)</td></tr>
<tr class="separator:a2a5f5fbe88f7d8c9f17850df6225d817"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Function/Subroutine Documentation</h2>
<a id="add61c03e506b73ebd84e181e2bb16c91"></a>
<h2 class="memtitle"><span class="permalink"><a href="#add61c03e506b73ebd84e181e2bb16c91">&#9670;&nbsp;</a></span>density_bc_hook()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">subroutine density_bc_hook </td>
          <td>(</td>
          <td class="paramtype">type(<a class="el" href="structsd__boundary__defs_1_1boundary__.html">boundary_</a>), intent(inout)&#160;</td>
          <td class="paramname"><em>boundary</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">type(<a class="el" href="structvdf__defs_1_1vdf__.html">vdf_</a>), intent(inout)&#160;</td>
          <td class="paramname"><em>vdf</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">logical, intent(in), optional&#160;</td>
          <td class="paramname"><em>CHECK_BC</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a98ed45d4750d825f285d80247744e8f9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a98ed45d4750d825f285d80247744e8f9">&#9670;&nbsp;</a></span>final_hook()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">subroutine final_hook </td>
          <td>(</td>
          <td class="paramtype">type(<a class="el" href="structvdf__defs_1_1vdf__.html">vdf_</a>), intent(inout)&#160;</td>
          <td class="paramname"><em>vdf</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a6e9275a846f207444659b21fd4efdb69"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6e9275a846f207444659b21fd4efdb69">&#9670;&nbsp;</a></span>ib_momentum_bc_hook()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">subroutine ib_momentum_bc_hook </td>
          <td>(</td>
          <td class="paramtype">real(wp), dimension(3), intent(out)&#160;</td>
          <td class="paramname"><em>bc_u</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">integer, intent(inout)&#160;</td>
          <td class="paramname"><em>bc_type</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">real(wp), dimension(3), intent(in)&#160;</td>
          <td class="paramname"><em>x</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">type(<a class="el" href="structsd__boundary__defs_1_1boundary__.html">boundary_</a>), intent(inout)&#160;</td>
          <td class="paramname"><em>boundary</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">type(<a class="el" href="structvdf__defs_1_1vdf__.html">vdf_</a>), intent(inout)&#160;</td>
          <td class="paramname"><em>vdf</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">real(wp), intent(in), optional&#160;</td>
          <td class="paramname"><em>time</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a2a5f5fbe88f7d8c9f17850df6225d817"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2a5f5fbe88f7d8c9f17850df6225d817">&#9670;&nbsp;</a></span>ib_scalar_bc_hook()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">subroutine ib_scalar_bc_hook </td>
          <td>(</td>
          <td class="paramtype">real(wp), intent(out)&#160;</td>
          <td class="paramname"><em>bc_phi</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">integer, intent(inout)&#160;</td>
          <td class="paramname"><em>bc_type</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">character(len=*), intent(in)&#160;</td>
          <td class="paramname"><em>scalar_name</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">real(wp), dimension(3), intent(in)&#160;</td>
          <td class="paramname"><em>x</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">type(<a class="el" href="structsd__boundary__defs_1_1boundary__.html">boundary_</a>), intent(inout)&#160;</td>
          <td class="paramname"><em>boundary</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">type(<a class="el" href="structvdf__defs_1_1vdf__.html">vdf_</a>), intent(inout)&#160;</td>
          <td class="paramname"><em>vdf</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">real(wp), dimension(3), intent(in), optional&#160;</td>
          <td class="paramname"><em>nv</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">real(wp), intent(in), optional&#160;</td>
          <td class="paramname"><em>time</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a7a8a483be87e88a7f2552b124d938f69"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7a8a483be87e88a7f2552b124d938f69">&#9670;&nbsp;</a></span>initial_hook()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">subroutine initial_hook </td>
          <td>(</td>
          <td class="paramtype">type(<a class="el" href="structvdf__defs_1_1vdf__.html">vdf_</a>), intent(inout)&#160;</td>
          <td class="paramname"><em>vdf</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="abe2ee30542abdbad73e7b55dcc5ec872"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abe2ee30542abdbad73e7b55dcc5ec872">&#9670;&nbsp;</a></span>momentum_bc_hook()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">subroutine momentum_bc_hook </td>
          <td>(</td>
          <td class="paramtype">type(<a class="el" href="structsd__boundary__defs_1_1boundary__.html">boundary_</a>), intent(inout)&#160;</td>
          <td class="paramname"><em>boundary</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">type(<a class="el" href="structvdf__defs_1_1vdf__.html">vdf_</a>), intent(inout)&#160;</td>
          <td class="paramname"><em>vdf</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">logical, intent(in), optional&#160;</td>
          <td class="paramname"><em>CHECK_BC</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a2b4b7805dd08085504e59eb8b8cba36d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2b4b7805dd08085504e59eb8b8cba36d">&#9670;&nbsp;</a></span>momentum_source_hook()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">subroutine momentum_source_hook </td>
          <td>(</td>
          <td class="paramtype">type(<a class="el" href="structvdf__defs_1_1vdf__.html">vdf_</a>), intent(inout)&#160;</td>
          <td class="paramname"><em>vdf</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a0439a40b165fdf89ff2bbc3e718b4cee"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0439a40b165fdf89ff2bbc3e718b4cee">&#9670;&nbsp;</a></span>prestep_begin_hook()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">subroutine prestep_begin_hook </td>
          <td>(</td>
          <td class="paramtype">type(<a class="el" href="structvdf__defs_1_1vdf__.html">vdf_</a>), intent(inout)&#160;</td>
          <td class="paramname"><em>vdf</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a36db806438ed47406875852e61b69647"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a36db806438ed47406875852e61b69647">&#9670;&nbsp;</a></span>property_hook()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">subroutine property_hook </td>
          <td>(</td>
          <td class="paramtype">type(property_var_t), intent(inout)&#160;</td>
          <td class="paramname"><em>property</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">type(<a class="el" href="structvdf__defs_1_1vdf__.html">vdf_</a>), intent(inout)&#160;</td>
          <td class="paramname"><em>vdf</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="acb86792a9a23b981d4a7d29a4a9a9b5f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acb86792a9a23b981d4a7d29a4a9a9b5f">&#9670;&nbsp;</a></span>register_hook()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">subroutine register_hook </td>
          <td>(</td>
          <td class="paramtype">type(<a class="el" href="structvdf__defs_1_1vdf__.html">vdf_</a>), intent(inout)&#160;</td>
          <td class="paramname"><em>vdf</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="af47b9fec61ec0adf2d44aaa1d495967f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af47b9fec61ec0adf2d44aaa1d495967f">&#9670;&nbsp;</a></span>scalar_bc_hook()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">subroutine scalar_bc_hook </td>
          <td>(</td>
          <td class="paramtype">type(<a class="el" href="structsd__boundary__defs_1_1boundary__.html">boundary_</a>), intent(inout)&#160;</td>
          <td class="paramname"><em>boundary</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">type(scalar_), intent(inout)&#160;</td>
          <td class="paramname"><em>scalar</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">type(<a class="el" href="structvdf__defs_1_1vdf__.html">vdf_</a>), intent(inout)&#160;</td>
          <td class="paramname"><em>vdf</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">logical, intent(in), optional&#160;</td>
          <td class="paramname"><em>CHECK_BC</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a85a1e7805791345e8db001707cd7b5f3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a85a1e7805791345e8db001707cd7b5f3">&#9670;&nbsp;</a></span>scalar_source_hook()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">subroutine scalar_source_hook </td>
          <td>(</td>
          <td class="paramtype">type(scalar_), intent(inout)&#160;</td>
          <td class="paramname"><em>scalar</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">type(<a class="el" href="structvdf__defs_1_1vdf__.html">vdf_</a>), intent(inout)&#160;</td>
          <td class="paramname"><em>vdf</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ab27854bf1a7e933e18c590b7cce08f85"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab27854bf1a7e933e18c590b7cce08f85">&#9670;&nbsp;</a></span>scalar_source_mid_hook()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">subroutine scalar_source_mid_hook </td>
          <td>(</td>
          <td class="paramtype">type(scalar_), intent(inout)&#160;</td>
          <td class="paramname"><em>scalar</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">type(<a class="el" href="structvdf__defs_1_1vdf__.html">vdf_</a>), intent(inout)&#160;</td>
          <td class="paramname"><em>vdf</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a51df2e2f8a61f8692cb24fbf9a59719f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a51df2e2f8a61f8692cb24fbf9a59719f">&#9670;&nbsp;</a></span>temporal_data_hook()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">subroutine temporal_data_hook </td>
          <td>(</td>
          <td class="paramtype">type(<a class="el" href="structvdf__defs_1_1vdf__.html">vdf_</a>), intent(inout)&#160;</td>
          <td class="paramname"><em>vdf</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="af6082e63ce97ffd3b40827841f6d8db6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af6082e63ce97ffd3b40827841f6d8db6">&#9670;&nbsp;</a></span>temporal_hook()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">subroutine temporal_hook </td>
          <td>(</td>
          <td class="paramtype">type(<a class="el" href="structvdf__defs_1_1vdf__.html">vdf_</a>), intent(inout)&#160;</td>
          <td class="paramname"><em>vdf</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a86b05c79832a46d17b4362e7c24ee38a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a86b05c79832a46d17b4362e7c24ee38a">&#9670;&nbsp;</a></span>temporal_last_hook()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">subroutine temporal_last_hook </td>
          <td>(</td>
          <td class="paramtype">type(<a class="el" href="structvdf__defs_1_1vdf__.html">vdf_</a>), intent(inout)&#160;</td>
          <td class="paramname"><em>vdf</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Fri Aug 7 2020 16:17:49 for Ciao Code Documentation by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
